import sys
import jwt
from conf.common import SysomFramework, SECRET_KEY


if __name__ == "__main__":
    if len(sys.argv) < 2:
        print("Usage: python load_token.py <token>")
        exit(1)
    res = jwt.decode(sys.argv[1], SECRET_KEY, algorithms=["HS256"])
    SysomFramework.gcache("JWT_TOKEN").store(sys.argv[1], res["id"], expire=res["exp"])