# -*- coding: utf-8 -*- #
"""
Time                2023/09/19 09:40
Author:             mingfeng (SunnyQjm)
Email               mfeng@linux.alibaba.com
File                models.py
Description:
"""
# from sqlalchemy import Column, Integer, String
# from app.database import Base
from sqlalchemy import Column, BigInteger, Integer, SmallInteger, String, Enum, JSON, DateTime, ForeignKey, Table
from sqlalchemy.sql import func
from app.database import Base

# class BaseModel:
#     created_at = Column(DateTime(timezone=True), server_default=func.now())
#     updated_at = Column(
#         DateTime(timezone=True), server_default=func.now(), onupdate=func.now()
#     )
###########################################################################
# Define databse model here
###########################################################################

# @reference https://fastapi.tiangolo.com/zh/tutorial/sql-databases/
# class Person(Base):
#     __tablename__ = "sys_person"
#     id = Column(Integer, primary_key=True)
#     name = Column(String(254), unique=True)
#     age = Column(Integer)

# uuid2task
class UuidToTask(Base):
    __tablename__ = "sys_uuid_to_task"
    uuid = Column(String(64), primary_key=True)
    task_id = Column(String(64), unique=True)

