# -*- coding: utf-8 -*- #
"""
Time                2023/09/18 10:59
Author:             mingfeng (SunnyQjm)
Email               mfeng@linux.alibaba.com
File                database.py
Description:
"""
from sqlalchemy import create_engine
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker
from conf.settings import SQLALCHEMY_DATABASE_URL

engine = create_engine(
    SQLALCHEMY_DATABASE_URL, connect_args={}
)

SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)

Base = declarative_base()