# -*- coding: utf-8 -*- #
"""
Time                2023/09/19 09:40
Author:             mingfeng (SunnyQjm)
Email               mfeng@linux.alibaba.com
File                schemas.py
Description:
"""
from pydantic import BaseModel
from datetime import datetime

###########################################################################
# Define schemas here
###########################################################################

# @reference https://fastapi.tiangolo.com/zh/tutorial/response-model/
# class Person(BaseModel):
#     id: int
#     name: str
#     age: int
    
#     class Config:
#         orm_mode = True

class UuidToTaskBase(BaseModel):
    uuid: str
    task_id: str

class UuidToTaskCreate(UuidToTaskBase):
    pass

class GetTask(BaseModel):
    task_id: str
    class Config:
        orm_mode = True
